services:
  vscu:
    build: .
    image: vscu:1.0.3
    container_name: vscu
    volumes:
      - vscu_data:/app/data
    environment:
      VSCU_PORT: 8088
      VSCU_PROFILE: sbx
      VSCU_WORKING_DIR: /app/data
      VSCU_NO_SCH_THREADS: 3
      VSCU_BATCH_SIZE: 30
      VSCU_EXEC_MODE: OFFLINE
      VSCU_LOGGING_LEVEL: INFO
      VSCU_PROC_CHECK: N
    restart: unless-stopped
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.vscu.entrypoints=web,websecure"
      - "traefik.http.routers.vscu.rule=Host(`ramani.odoo4projects.com`)"
      - "traefik.http.routers.vscu.tls=true"
      - "traefik.http.routers.vscu.tls.certresolver=production"
      - "traefik.http.services.vscu.loadbalancer.server.port=8088"

volumes:
  vscu_data:
